Collection (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.Collection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface Collection

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AccessCollection, ApplicationComposite, AppServerFunctionalGroup, BusinessProcessComposite, BusinessServiceComposite, CitrixAppFolder, CitrixFolder, CitrixGroup, CitrixServerFolder, CitrixZone, Composite, ComputerSystemFunctionalGroup, CPUResourcePool, DataStoreResourcePool, DesktopComposite, FunctionalGroup, HardwareComposite, HomogeneousCollection, ImplicitCollection, InfrastructureApplicationComposite, MainframeComposite, MemoryResourcePool, MQCluster, NetworkAdapterResourcePool, Purpose, ResourcePool, RouterComposite, ServerComposite, SMSCollections, SoftwareModuleFunctionalGroup, StorageCollection, SwitchComposite, SystemSpecificCollection, VCSCluster, VeritasDiskGroup, ZoneSet

    public interface Collection

extends ManagedElement

A group of managed elements, considered together to form a unit. The Collection class introduces the relationship called "memberOf", which is a relationship that denotes inclusion in a set, but which does not infer any dependency or status propogation.

Naming Rules:
  0="name,-active"
Persistable:
  true
Table Name:
  COLLECTION
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getActive()`
`ModelObject[]` | `getMembers()`
`java.lang.String` | `getName()` The name of the collection.
`boolean` | `hasActive()`
`boolean` | `hasMembers()`
`boolean` | `hasName()`
`void` | `setActive(boolean x)`
`void` | `setMembers(ModelObject[] members)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name of the collection. This name must be globally-unique, and should include the name of your organization, followed by a forward slash, and then the name of any containing collections until the actual instance is reached. For example, if your company was named "Acme" and you were referring to the equipment owned by the "Sales" division of the "North America" division, then a good name for the collection would be "Acme/North America/Sales/equipment".

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getMembers

    ModelObject[] getMembers()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setMembers

    void setMembers(ModelObject[] members)

### hasMembers

    boolean hasMembers()

### getActive

    boolean getActive()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setActive

    void setActive(boolean x)

### hasActive

    boolean hasActive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD